#
# Conditional build:
%bcond_without	vdpau		# build libav without VDPAU support
%bcond_with	system_libav	# system libav (note: upstream does not accept bugs with system libav)

%define		gstname gst-libav
%define		gst_major_ver   1.0
%define		gst_req_ver	1.2.0
%define		libav_ver	9.9

%include	/usr/lib/rpm/macros.gstreamer
Summary:	GStreamer Streaming-media framework plug-in using libav
Summary(pl.UTF-8):	Wtyczka do środowiska obróbki strumieni GStreamer używająca libav
Name:		gstreamer-libav
Version:	1.2.1
Release:	1
License:	LGPL v2+ (gst part), GPL v2+ (some libav parts)
Group:		Libraries
Source0:	http://gstreamer.freedesktop.org/src/gst-libav/%{gstname}-%{version}.tar.xz
# Source0-md5:	4c300da1cf14b4e167d65cd5d8de1ef1
URL:		http://gstreamer.net/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	bzip2-devel
BuildRequires:	gstreamer-devel >= %{gst_req_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gst_req_ver}
BuildRequires:	gtk-doc >= 1.12
BuildRequires:	libtool
BuildRequires:	orc-devel >= 0.4.16
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.1
BuildRequires:	rpmbuild(macros) >= 1.470
%if %{with system_libav}
# libavformat,libavcodec,libavutil,libswscale needed
BuildRequires:	libav-devel >= %{libav_ver}
%else
# libav dependencies
BuildRequires:	SDL-devel
BuildRequires:	zlib-devel
%ifarch %{ix86} %{x8664}
BuildRequires:	yasm
%endif
%if %{with vdpau}
BuildRequires:	libvdpau-devel
BuildRequires:	xorg-lib-libXvMC-devel
%endif
%endif
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gstreamer-plugins-base >= %{gst_req_ver}
%{?with_system_libav:Requires:	libav >= %{libav_ver}}
Requires:	orc >= 0.4.16
Obsoletes:	gstreamer-ffmpeg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

This plugin contains the libav codecs, containing codecs for most
popular multimedia formats.

%description -l pl.UTF-8
GStreamer to środowisko obróbki danych strumieniowych, bazujące na
grafie filtrów operujących na danych medialnych. Aplikacje używające
tej biblioteki mogą robić wszystko od przetwarzania dźwięku w czasie
rzeczywistym, do odtwarzania filmów i czegokolwiek innego związanego z
mediami. Architektura bazująca na wtyczkach pozwala na łatwe dodawanie
nowych typów danych lub możliwości obróbki.

Wtyczka ta zawiera kodeki libav, potrafiące zdekodować
najpopularniejsze formaty multimedialne.

%prep
%setup -q -n %{gstname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4 -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	CPPFLAGS="%{rpmcppflags}" \
	%{?with_system_libav:--with-system-libav} \
	%{?with_vdpau:--with-libav-extra-configure="--enable-vdpau"} \
	--disable-silent-rules \
	--disable-static
# V=1 is for libav (--disable-silent-rules affects only main gst-libav sources)
%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_major_ver}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgstlibav.so
# disabled in (upstream) 1.2.0 until someone fixes it
#%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgstavscale.so
%changelog
* Mon Nov 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-libav.git;a=log;h=master

* Mon Nov 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 334303a
- updated to 1.2.1

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 894a453
- updated to 1.2.0 (now based on libav 9.9; libgstavscale disabled)

* Sat Aug 31 2013 Jakub Bogusz <qboosh@pld-linux.org> f090dcc
- updated to 10.0.10

* Fri Aug 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 4f7e6b5
- updated to 1.0.9

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 5adbf70
- updated to 1.0.8 (libav 0.8.8)

* Thu May 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 6f02183
- updated to 1.0.7

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> d4b15c3
- updated to 1.0.6

* Thu Jan 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 87a748e
- updated to 1.0.5

* Sat Dec 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 48b724b
- updated to 1.0.4

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 978acf8
- Obsoletes: gstreamer-ffmpeg

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 19033c7
- updated to 1.0.3

* Sun Nov 04 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a2cc8d
- initial; using bundled libav since we have no libav.spec at this time

